Skip to main content

Adjust notification settings for message type

PATCH/v2/notification-settings/{messageType}
API version
v2
Request method
PATCH
Operation ID
notifications-adjust-notification-message-type-settings

Request​

  • messageTypestringrequired

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"email":{"active":true},"frontendNotification":{"active":true}}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/notification-settings/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.notification.notificationsAdjustNotificationMessageTypeSettings({
"messageType": "string",
"data": {
"email": {
"active": true
},
"frontendNotification": {
"active": true
}
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Notification\NotificationsAdjustNotificationMessageTypeSettings\NotificationsAdjustNotificationMessageTypeSettingsRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Notification\NotificationsAdjustNotificationMessageTypeSettings\NotificationsAdjustNotificationMessageTypeSettingsRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// NotificationsAdjustNotificationMessageTypeSettingsRequestBody to learn how to construct a valid instance
$body = new NotificationsAdjustNotificationMessageTypeSettingsRequestBody(/* TODO: ... */);

$request = (new NotificationsAdjustNotificationMessageTypeSettingsRequest(
messageType: "string",
body: $body
));
$response = $client->notification()->notificationsAdjustNotificationMessageTypeSettings($request);

var_dump($response->getBody();

On this page